spring.profiles.active              = dev,openaire

#logging.level.root=DEBUG

#spring.datasource.url=jdbc:postgresql://localhost:5432/dnet_broker
#spring.datasource.username=
#spring.datasource.password=

spring.datasource.url      = jdbc:postgresql://localhost:5432/oa_broker
spring.datasource.username = oa_broker
spring.datasource.password = ohhae8Bi3Xiy


spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect

# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto                                      = validate
spring.jpa.properties.hibernate.hbm2dll.extra_physical_table_types = MATERIALIZED VIEW
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation   = true
spring.jpa.open-in-view                                            = true
spring.jpa.properties.hibernate.show_sql                           = false
spring.jpa.properties.hibernate.use_sql_comments                   = false
spring.jpa.properties.hibernate.format_sql                         = false

lbs.database.url                = ${spring.datasource.url}

# for development server
#lbs.elastic.clusterNodes     = broker1-dev-dnet.d4science.org:9300
#lbs.elastic.homepage         = http://broker1-dev-dnet.d4science.org:9200/_plugin/hq

# for localhost
lbs.elastic.clusterNodes      = 127.0.0.1:9200
lbs.elastic.homepage          = http://
lbs.elastic.socketTimeout     = 30000
lbs.elastic.connectionTimeout = 30000
lbs.elastic.eventsIndexName        = oa_events_beta
lbs.elastic.notificationsIndexName = oa_notifications_beta

lbs.queues.maxReturnedValues = 1000

lbs.task.deleteOldEvents.cron           = 0 0 4 1/1 * ?
lbs.task.deleteOldNotifications.cron    = 0 0 5 1/1 * ?
lbs.task.subscriptionEventsMatcher.cron = 0 0 6 1/1 * ?

spring.data.elasticsearch.cluster-name = ${lbs.elastic.clusterName}
spring.data.elasticsearch.cluster-nodes = ${lbs.elastic.clusterNodes}



